use strict;

use Test;
use vars qw($loaded $gen $autoseed $num1 $num2 $num3 $num4 $num5 $num6);

BEGIN { plan tests => 21 }
END   { print "not ok 1\n" unless $loaded }

# OO interface
# Test the ability to automatically generate a seed, return it, and reproduce
# the same series of random number by specifying this seed manually.

use Math::Random::MT::Perl;
ok($loaded = 1);

# Generate a series of 3 random numbers using an autogenerated seed
ok($gen = Math::Random::MT::Perl->new());
ok($num1 = $gen->rand());
ok($num2 = $gen->rand());
ok($num3 = $gen->rand());
ok($autoseed = $gen->get_seed());

# Generate a series of 3 random numbers the using same seed value but manually specified
ok($gen = Math::Random::MT::Perl->new($autoseed));
ok($num4 = $gen->rand());
ok($num5 = $gen->rand());
ok($num6 = $gen->rand());

# Both series of number should be the same
ok($num1 == $num4);
ok($num2 == $num5);
ok($num3 == $num6);

# Generate a series of 3 random numbers the using same seed value but manually specified
ok($gen = Math::Random::MT::Perl->new());
ok($gen->set_seed($autoseed));
ok($num4 = $gen->rand());
ok($num5 = $gen->rand());
ok($num6 = $gen->rand());

# Both series of number should be the same
ok($num1 == $num4);
ok($num2 == $num5);
ok($num3 == $num6);